[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Can I run the 1.5 client on a 1.4.3 installation?

From: Lieven Govaerts <lgo_at_mobsol.be>
Date: 2007-03-10 10:22:54 CET

Lieven Govaerts wrote:
> Malcolm Rowe wrote:
>> On Sat, Mar 03, 2007 at 05:46:57AM -0500, svn.dev@salvisberg.com wrote:
>>> Thank you for your replies Erik and Lieven!
>>>
>>> Erik Huelsmann wrote:
>>>> On 3/3/07, svn.dev@salvisberg.com <svn.dev@salvisberg.com> wrote:
>>>>> The 1.5 client has a bug fix that I need. What is the risk of running the 1.5 client on a 1.4.3 installation, as long as I only use 1.4 commands?
>>>> Can't we help you by backporting the fix and release it in a next 1.4
>>>> release? What fix are you talking about?
>>> It's an issue that I reported two months ago:
>>> http://subversion.tigris.org/servlets/BrowseList?list=dev&by=thread&from=547282
>> ("svn ci aborts if it encounters the root directory"). It's fixed in
>> trunk, but not in 1.4.x. If you are able to recompile trunk, it might
>> be useful to find out what commit fixed it, so that we can determine
>> whether we could backport it to 1.4.4).

The issue also exists on trunk. I added it into the issue tracker as
#2739 and fixed it on trunk in r23757 and r23761. I didn't propose it
for backport to 1.4.x yet, as 1.5 might be coming out next month and the
fix has to be tweaked a bit to apply on the 1.4.x branch.

Lieven

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Sat Mar 10 10:23:10 2007

This is an archived mail posted to the Subversion Dev mailing list.